kotlin.code.style=official
kotlin.mpp.stability.nowarn=true

#tuPrologVersion=0.16.1
tuPrologVersion=0.30.3

# semicolon separated
ktFreeCompilerArgsJvm=-Xjvm-default=enable

# mocha timeout for a single test method, in milli-seconds
mochaTimeout=600000

nodeJsVersion=18.12.1

org.gradle.console=plain
systemProp.org.gradle.internal.http.connectionTimeout=180000
systemProp.org.gradle.internal.http.socketTimeout=180000
org.gradle.jvmargs=-Xmx4g -XX:MaxMetaspaceSize=2g

io.github.gciatto.kt-npm-publish.verbose=false

projectLongName=Arg-tuProlog Kotlin
projectDescription=A 2p-kt library for structured argumentation
projectHomepage=https://github.com/tuProlog/arg2p-kt
projectLicense=Apache-2.0
projectLicenseUrl=https://www.apache.org/licenses/LICENSE-2.0

githubToken=
githubOwner=tuprolog
githubRepo=arg2p-kt

bintrayUser=
bintrayKey=
bintrayRepo=argumentation
bintrayUserOrg=pika-lab

mavenRepo=https://s01.oss.sonatype.org/service/local/staging/deploy/maven2/
mavenUsername=
mavenPassword=

npmToken=
npmOrganization=tuprolog

scmUrl=https://github.com/tuProlog/arg2p-kt
scmConnection=git@github.com:tuProlog/arg2p-kt.git

signingKey=
signingPassword=

issuesUrl=https://github.com/tuProlog/arg2p-kt/issues
issuesEmail=g.pisano@unibo.it
